/* 
 * glide_reset : init the 3dfx using glide
 *
 * Should reset the 3dfx . if that doesnt work, well, hit "the big red button" 
 *
 */

#include <unistd.h>
#include <assert.h>
#include <glide.h>

GrHwConfiguration hwconfig;

void 
main( int argc, char **argv) 
{
  grGlideInit();
  assert( grSstQueryHardware( &hwconfig ) );
  grSstSelect( 0 );
  assert( grSstWinOpen( 0,
                       GR_RESOLUTION_640x480,
                       GR_REFRESH_75Hz,
                       GR_COLORFORMAT_ARGB,
                       GR_ORIGIN_UPPER_LEFT,
                       2, 1 ) );
  sleep (1); 
  grGlideShutdown();
  return;
}

